Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022972
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POS Hardware Managermajoralways2013-02-04 19:192013-04-03 12:56
ReportersureshbabuView Statuspublic 
Assigned Toadrianromero 
PriorityhighResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revisionab4c18d41a68
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022972: In the print copy, the price value is missing, right now it shows Zero

DescriptionIn the print copy, the price value is missing, right now it shows Zero

Steps To ReproduceCreate and complete a receipt from POS

Then navigate to Print copy and check the price of the product which you have added in the above receipt.
TagsNo tags attached.
Attached Filespng file icon Price shows Zero value.png [^] (201,505 bytes) 2013-02-04 19:19

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056160)
marvintm (developer)
2013-02-05 12:42

The problem only happens with price lists without including taxes. There are actually two problems:

- The price shown is zero always.
- If discounts are included in the ticket, the line net amount is also wrong.
(0056163)
hgbot (developer)
2013-02-05 12:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bbd500f47a8286bd4fc078ddadfd1027af27d431
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 12:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^]

Fixed issue 22972. Price and line net amount will be shown correctly in the ticket when the payment is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056171)
hgbot (developer)
2013-02-05 16:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bb2fbf734d4a25f2408aa72af068cab9f10a173d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:24:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bb2fbf734d4a25f2408aa72af068cab9f10a173d [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056173)
hgbot (developer)
2013-02-05 16:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 14a5495ec5d089f149b8863bac06ce6943565d1a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:44:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/14a5495ec5d089f149b8863bac06ce6943565d1a [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056182)
migueldejuana (developer)
2013-02-05 18:12

Fixed and tested 14a5495ec5d0
(0056377)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 12:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]

Fixed issue 22972. Price and line net amount will be shown correctly in the ticket when the payment is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056378)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6d52acebe8662ddead4493d61d94a98d6b05bed0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:24:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6d52acebe8662ddead4493d61d94a98d6b05bed0 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056379)
hgbot (developer)
2013-02-12 13:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c844e6d76923b7a78c5f09eede3701d524c67fe8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:44:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c844e6d76923b7a78c5f09eede3701d524c67fe8 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056459)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 12:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]

Fixed issue 22972. Price and line net amount will be shown correctly in the ticket when the payment is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056460)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 6d52acebe8662ddead4493d61d94a98d6b05bed0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:24:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/6d52acebe8662ddead4493d61d94a98d6b05bed0 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056461)
hgbot (developer)
2013-02-15 09:07

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: c844e6d76923b7a78c5f09eede3701d524c67fe8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:44:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/c844e6d76923b7a78c5f09eede3701d524c67fe8 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057602)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: bbd500f47a8286bd4fc078ddadfd1027af27d431
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 12:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^]

Fixed issue 22972. Price and line net amount will be shown correctly in the ticket when the payment is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057603)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: bb2fbf734d4a25f2408aa72af068cab9f10a173d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:24:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bb2fbf734d4a25f2408aa72af068cab9f10a173d [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057604)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 14a5495ec5d089f149b8863bac06ce6943565d1a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:44:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/14a5495ec5d089f149b8863bac06ce6943565d1a [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057623)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 12:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]

Fixed issue 22972. Price and line net amount will be shown correctly in the ticket when the payment is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057624)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 6d52acebe8662ddead4493d61d94a98d6b05bed0
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:24:39 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/6d52acebe8662ddead4493d61d94a98d6b05bed0 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057625)
hgbot (developer)
2013-04-02 20:06

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: c844e6d76923b7a78c5f09eede3701d524c67fe8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Feb 05 16:44:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/c844e6d76923b7a78c5f09eede3701d524c67fe8 [^]

Related to issue 22972. Set old amounts in proper place

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-02-04 19:19 sureshbabu New Issue
2013-02-04 19:19 sureshbabu Assigned To => adrianromero
2013-02-04 19:19 sureshbabu File Added: Price shows Zero value.png
2013-02-05 12:42 marvintm Note Added: 0056160
2013-02-05 12:54 hgbot Checkin
2013-02-05 12:54 hgbot Note Added: 0056163
2013-02-05 12:54 hgbot Status new => resolved
2013-02-05 12:54 hgbot Resolution open => fixed
2013-02-05 12:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^]
2013-02-05 16:24 hgbot Checkin
2013-02-05 16:24 hgbot Note Added: 0056171
2013-02-05 16:44 hgbot Checkin
2013-02-05 16:44 hgbot Note Added: 0056173
2013-02-05 18:12 migueldejuana Review Assigned To => migueldejuana
2013-02-05 18:12 migueldejuana Note Added: 0056182
2013-02-05 18:12 migueldejuana Status resolved => closed
2013-02-05 18:12 migueldejuana Fixed in Version => RMP19
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056377
2013-02-12 13:14 hgbot Status closed => resolved
2013-02-12 13:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056378
2013-02-12 13:14 hgbot Checkin
2013-02-12 13:14 hgbot Note Added: 0056379
2013-02-12 13:32 marvintm Status resolved => closed
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056459
2013-02-15 09:07 hgbot Status closed => resolved
2013-02-15 09:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056460
2013-02-15 09:07 hgbot Checkin
2013-02-15 09:07 hgbot Note Added: 0056461
2013-03-01 10:31 marvintm Status resolved => closed
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057602
2013-04-02 20:04 hgbot Status closed => resolved
2013-04-02 20:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^]
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057603
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057604
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057623
2013-04-02 20:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bbd500f47a8286bd4fc078ddadfd1027af27d431 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/ab4c18d41a68bf6f1aad64ff2bf1972b4a4d8f1e [^]
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057624
2013-04-02 20:06 hgbot Checkin
2013-04-02 20:06 hgbot Note Added: 0057625
2013-04-03 12:56 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker